# -*- coding: utf-8 -*-
from django.utils.translation import gettext_lazy as _

trench_children = []
trench_models = [
    {
        "model_name": "mfamethod",
        "model_label": _("MFA Method"),
        "model_label_plural": _("MFA Methods")
    },
]

for model in trench_models:
    add_entry = {
        "title": _("add {}").format(model['model_label']),
        "url_name": f"admin:trench_{model['model_label']}_add",
        "perms": [f"trench.add_{model['model_label']}"],
    }
    trench_children.append(add_entry)
    list_entry = {
        "title": _("{} list").format(model['model_label_plural']),
        "url_name": f"admin:trench_{model['model_name']}_changelist",
        "perms": [
            f"trench.view_{model['model_name']}",
            f"trench.change_{model['model_name']}"
        ],
    }
    trench_children.append(list_entry)

menu_items = [{
    "title": _("THX MFA"),
    "perms": ["trench.*", "trench.*"],
    "children": [
        {
            "title": "Trench",
            "url_name": {"viewname": "admin:app_list", "kwargs": {"app_label": "trench"}},
            "perms": ["trench.*"],
            "children": trench_children
        },
    ]
}]
